Qore PgsqlSqlUtil Module Reference 1.0

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Groups Pages
Public Member Functions | List of all members
PgsqlSqlUtil::PgsqlPrimaryKey Class Reference

represents a PostgreSQL-specific primary key constraint More...

Inheritance diagram for PgsqlSqlUtil::PgsqlPrimaryKey:
[legend]

## Public Member Functions
PgsqlColumn | memberGate (string k)
| returns the PgsqlColumn value of the given key if it exists, otherwise throws a `KEY-ERROR` exception More...
Public Member Functions inherited from PgsqlSqlUtil::PgsqlUniqueConstraintCommon
| clearIndex ()
| clears any index base for the constraint
| getIndexSql (reference sql, string name, *hash opts)
| adds index options onto the sql creation string

## Detailed Description

represents a PostgreSQL-specific primary key constraint

## Member Function Documentation

PgsqlColumn PgsqlSqlUtil::PgsqlPrimaryKey::memberGate | ( | string | k | ) |

returns the PgsqlColumn value of the given key if it exists, otherwise throws a `KEY-ERROR` exception

Example:
  my any $v = $c.name;

Parameters

  k | the name of the key to access

Returns
  the value of the given key in the contained hash if it exists

Exceptions

  KEY-ERROR | the given key does not exist in the contained hash

Note
  this method is called automatically when an unknown or inaccessible member name is accessed from outside the class

See Also
  memberGate_methods